Project

Profile

Help

Issue #1749

closed

Centos6 64b updates sync failed with The field '_erratum_references' does not exist on the document 'RPM'

Added by vaclav.adamec@suchy-zleb.cz almost 7 years ago. Updated almost 4 years ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
High
Assignee:
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
3. High
Version:
Master
Platform Release:
2.8.0
OS:
CentOS 7
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

Latest Beta 2.8

python-kombu-3.0.33-4.pulp.el7.noarch
python-pulp-common-2.8.0-0.8.beta.el7.noarch
python-pulp-repoauth-2.8.0-0.8.beta.el7.noarch
python-pulp-puppet-common-2.8.0-0.8.beta.el7.noarch
pulp-rpm-admin-extensions-2.8.0-0.8.beta.el7.noarch
pulp-rpm-plugins-2.8.0-0.8.beta.el7.noarch
pulp-nodes-child-2.8.0-0.8.beta.el7.noarch
python-pulp-bindings-2.8.0-0.8.beta.el7.noarch
python-pulp-agent-lib-2.8.0-0.8.beta.el7.noarch
pulp-server-2.8.0-0.8.beta.el7.noarch
python-pulp-docker-common-2.0.0-0.8.beta.el7.noarch
python-pulp-oid_validation-2.8.0-0.8.beta.el7.noarch
pulp-admin-client-2.8.0-0.8.beta.el7.noarch
pulp-puppet-admin-extensions-2.8.0-0.8.beta.el7.noarch
pulp-docker-admin-extensions-2.0.0-0.8.beta.el7.noarch
pulp-puppet-plugins-2.8.0-0.8.beta.el7.noarch
pulp-nodes-parent-2.8.0-0.8.beta.el7.noarch
pulp-rpm-handlers-2.8.0-0.8.beta.el7.noarch
pulp-selinux-2.8.0-0.8.beta.el7.noarch
python-isodate-0.5.0-4.pulp.el7.noarch
python-pulp-rpm-common-2.8.0-0.8.beta.el7.noarch
pulp-nodes-common-2.8.0-0.8.beta.el7.noarch
python-pulp-client-lib-2.8.0-0.8.beta.el7.noarch
pulp-nodes-admin-extensions-2.8.0-0.8.beta.el7.noarch
pulp-docker-plugins-2.0.0-0.8.beta.el7.noarch
pulp-rpm-yumplugins-2.8.0-0.8.beta.el7.noarch

  1. Create new repo:
    pulp-admin rpm repo create --repo-id=centos-6-updates-x86_64-live --display-name="CentOS 6 Updates x86_64 (Live)" --description="CentOS 6 Updates x86_64 (Live)" --feed="http://mirror.centos.org/centos-6/6/updates/x86_64/" --serve-http=True --serve-https=False --relative-url=centos/6/updates/x86_64/live --gpg-key=/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
  1. Run sync
    pulp-admin rpm repo sync run --repo-id=centos-6-updates-x86_64-live
  1. Output:
    "traceback": "Traceback (most recent call last):\n File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 240, in trace_task\n R = retval = fun(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 473, in call\n return super(Task, self).__call__(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 103, in call\n return super(PulpTask, self).__call__(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 437, in protected_call\n return self.run(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py\", line 807, in sync\n raise pulp_exceptions.PulpExecutionException(_('Importer indicated a failed response'))\nPulpExecutionException: Importer indicated a failed response\n",
    ....
    "error": "The field '_erratum_references' does not exist on the document 'RPM'",
    "error_details": []

Files

tool_log.txt (78.9 KB) tool_log.txt vaclav.adamec@suchy-zleb.cz, 03/24/2016 06:36 AM

Related issues

Related to Pulp - Issue #1754: Repo sync with fails on an upgraded pulp serverCLOSED - CURRENTRELEASEdkliban@redhat.comActions
Related to Pulp - Issue #1952: Repo sync fails after upgrade to 2.8.3.CLOSED - CURRENTRELEASEipanova@redhat.comActions

Also available in: Atom PDF